MODULE bdy_par
   !!======================================================================
   !!                  ***  MODULE bdy_par   ***
   !! Unstructured Open Boundary Cond. :   define related parameters
   !!======================================================================
#if defined key_bdy || defined key_bdy_tides
   !!----------------------------------------------------------------------
   !!   'key_bdy' :                    Unstructured Open Boundary Condition
   !!----------------------------------------------------------------------
   !! history :
   !!  9.0   01/05   (J. Chanut, A. Sellar)  Original code
   !!----------------------------------------------------------------------
   !! * Modules used
   USE par_oce         ! ocean parameters

   IMPLICIT NONE
   PUBLIC

#if defined key_bdy
   LOGICAL, PUBLIC, PARAMETER ::   lk_bdy = .TRUE. !: Unstructured Ocean 
                                                   !Boundary Condition flag
#else
   ! tides only at boundaries
   LOGICAL, PUBLIC, PARAMETER ::   lk_bdy = .FALSE. !: Unstructured Ocean 
                                                    !Boundary Condition flag
#endif

   !!----------------------------------------------------------------------
   !! Unstructured open boundary parameters
   !!----------------------------------------------------------------------

   INTEGER, PARAMETER ::   & 
      jpbdta     = 5000,  & !: Max length of bdy field in file
      jpbdim     = 5000,  & !: Max length of bdy field on a processor
      jpbtime    = 1000,  & !: Max number of time dumps per file
      jpbgrd     = 3	    !: Number of horizontal grid types used 
                            !  (T, u, v, f)
#else
   !!----------------------------------------------------------------------
   !!   Default option :                         NO open boundary condition
   !!----------------------------------------------------------------------
   LOGICAL, PUBLIC, PARAMETER ::   lk_bdy = .FALSE.!: Unstructured Ocean 
                                                   !Boundary Condition flag
#endif

   !!======================================================================
END MODULE bdy_par
